Subject: mod-ssl-2.8.12 & Apache 1.3.27 problem

From: "Satish Jeejula" <[email-masked]>
Date: Wed, 15 Jan 2003 15:00:46 -0500

Hello All,

I am trying to compile apache 1.3.27 with mod_ssl-2.8.12 & openssl-0.9.7

I have succesfully compiled and build openssl. While trying to apply mod_ssl to apache source and building, I get the error below.

        cd ..\..
        cd modules\ssl
        NMAKE -nologo -f makefile RECURSE=0
        cl.exe /nologo /c /O2 /MD /W3 /GX /DNDEBUG /DWIN32 /D_WINDOWS /DSHARED_MODULE /DEAPI /DMOD_SSL=208112 /DMOD_SSL_VERSION=\"2.8.12\" /I..\..\include /I..\..\os\win32 /Id:\temp\openssl\include mod_ssl.c
mod_ssl.c
mod_ssl.c(242) : error C2078: too many initializers
NMAKE : fatal error U1077: 'cl.exe' : return code '0x2'
Stop.
NMAKE : fatal error U1077: '"D:\Program Files\Microsoft Visual Studio\VC98\bin\N
MAKE.EXE"' : return code '0x2'
Stop.
NMAKE : fatal error U1077: '"D:\Program Files\Microsoft Visual Studio\VC98\bin\N
MAKE.EXE"' : return code '0x2'
Stop.

 I have read thru this mailing list about the error and found that I need to apply EAPI module while configuring. So when ever I tried that option (--with-eapi-only), it said 'Bad Argument'. 

So can help me out with this problem please .....

Thanks,
Satish